Skip to content


Subversion checkout URL

You can clone with
Download ZIP


bitcoin-qt does not support HiDPI displays #2029

karmaon opened this Issue · 6 comments

4 participants


Lack of HiDPI support on devices like the retina MBP and other displays causes eyesore when operating the client.


Yes this is clearly an upstream bug in Qt, nothing we can do here.

According to the issue that @luke-jr links, it isn't addressed yet. This would be something you'd expect them to address in Qt5.


I suppose the font-scaling issue could be avoided by allowing the user to override the application font size... windows would still open too small, but hey that's better than headaches.


Closing as this is upstream issue

@laanwj laanwj closed this

Qt 4.8.5 has been released, with support for hidpi assets. Bitcoin-qt is build with Qt 4.8.4 though, any particular reason why?


I'm stupid, hadn't noticed this and thought that 0.8.6 was the version in master. Sorry.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.